Bug 29232 - Clean up obsolete jQueryUI datepicker code from cash register stats template
Summary: Clean up obsolete jQueryUI datepicker code from cash register stats template
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 28949
Blocks:
  Show dependency treegraph
 
Reported: 2021-10-13 16:26 UTC by Owen Leonard
Modified: 2022-06-06 20:25 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 29232: Clean up obsolete jQueryUI datepicker code from cash register stats template (1.94 KB, patch)
2021-10-13 18:17 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29232: Clean up obsolete jQueryUI datepicker code from cash register stats template (1.99 KB, patch)
2021-10-16 17:51 UTC, David Nind
Details | Diff | Splinter Review
Bug 29232: Clean up obsolete jQueryUI datepicker code from cash register stats template (2.05 KB, patch)
2021-10-18 21:47 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-10-13 16:26:04 UTC
Bug 28949 left behind some unused jQueryUI datepicker code in the cash register stats template, reports/cash_register_stats.tt.
Comment 1 Owen Leonard 2021-10-13 18:17:15 UTC
Created attachment 126230 [details] [review]
Bug 29232: Clean up obsolete jQueryUI datepicker code from cash register stats template

This patch removes some jQueryUI datepicker code from
reports/cash_register_stats.tt which was left behind by Bug 28949.

To test, apply the patch and go to Reports -> Cash register statistics
wizard. The "From" and "To" date fields should work correctly, since
Flatpickr code is unchanged.
Comment 2 David Nind 2021-10-16 17:51:56 UTC
Created attachment 126406 [details] [review]
Bug 29232: Clean up obsolete jQueryUI datepicker code from cash register stats template

This patch removes some jQueryUI datepicker code from
reports/cash_register_stats.tt which was left behind by Bug 28949.

To test, apply the patch and go to Reports -> Cash register statistics
wizard. The "From" and "To" date fields should work correctly, since
Flatpickr code is unchanged.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2021-10-18 21:47:30 UTC
Created attachment 126464 [details] [review]
Bug 29232: Clean up obsolete jQueryUI datepicker code from cash register stats template

This patch removes some jQueryUI datepicker code from
reports/cash_register_stats.tt which was left behind by Bug 28949.

To test, apply the patch and go to Reports -> Cash register statistics
wizard. The "From" and "To" date fields should work correctly, since
Flatpickr code is unchanged.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-10-19 07:45:06 UTC
Pushed to master for 21.11, thanks to everybody involved!